Subject: Re: [RFC PATCH net-next v2 3/9] netdev: add netdev_rx_queue_restart()

From: Simon Horman <[email-masked]>
Date: Tue, 7 May 2024 17:46:26 +0100

On Sun, May 05, 2024 at 05:41:14PM -0700, David Wei wrote:
> On 2024-05-04 05:20, Simon Horman wrote:
> > On Wed, May 01, 2024 at 09:54:04PM -0700, David Wei wrote:
> >> From: Mina Almasry <[email-masked]>
> >>
> >> Add netdev_rx_queue_restart() function to netdev_rx_queue.h. This is
> >> taken from Mina's work in [1] with a slight modification of taking
> >> rtnl_lock() during the queue stop and start ops.
> >>
> >> For bnxt specifically, if the firmware doesn't support
> >> BNXT_RST_RING_SP_EVENT, then ndo_queue_stop() returns -EOPNOTSUPP and
> >> the whole restart fails. Unlike bnxt_rx_ring_reset(), there is no
> >> attempt to reset the whole device.
> >>
> >> [1]: https://lore.kernel.org/linux-kernel/[email-masked]/#t
> >>
> >> Signed-off-by: David Wei <[email-masked]>
> > 
> > nit: Mina's From line is above, but there is no corresponding Signed-off-by
> >      line here.
> 
> This patch isn't a clean cherry pick, I pulled the core logic of
> netdev_rx_queue_restart() from the middle of another patch. In these
> cases should I be manually adding Signed-off-by tag?

As you asked:

I think if the patch is materially Mina's work - lets say more than 80% -
then a From line and a Signed-off-by tag is appropriate. N.B. this
implies Mina supplied a Signed-off-by tag at some point.

Otherwise I think it's fine to drop both the From line and Signed-off-by tag.
And as a courtesy acknowledge Mina's work some other way.

e.g. based on work by Mina Almasry <[email-masked]>

But perhaps it's as well to as Mina what he thinks :)

...